---
title: PresentationRequest
slug: Web/API/PresentationRequest
tags:
  - API
  - Experimental
  - Interface
  - Presentation API
  - PresentationRequest
  - Reference
---
<p>{{SeeCompatTable}}{{securecontext_header}}{{DefaultAPISidebar("Presentation API")}}</p>

<p>A <code>PresentationRequest</code> object is used to initiate or reconnect to a presentation made by a <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-controlling-browsing-context">controlling browsing context</a>. The <code>PresentationRequest</code> object <em>MUST</em> be implemented in a <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-controlling-browsing-context">controlling browsing context</a> provided by a <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-controlling-user-agent">controlling user agent</a>.</p>

<p>When a <code><code>PresentationRequest</code></code> is constructed, the given <code>urls</code> <em>MUST</em> be used as the list of <dfn>presentation request URLs</dfn> which are each a possible <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-presentation-url">presentation URL</a> for the <code><code>PresentationRequest</code></code> instance.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("PresentationRequest.PresentationRequest","PresentationRequest()")}}</dt>
 <dd>Creates a <code>PresentationRequest</code>.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<p>None</p>

<h3 id="Event_handlers">Event handlers</h3>

<dl>
 <dt>{{domxref("PresentationRequest.onconnectionavailable")}}</dt>
 <dd>Fires on a successful call to {{DOMxRef("PresentationRequest.start","PresentationRequest.start()")}} or {{DOMxRef("PresentationRequest.join","PresentationRequest.join()")}}. This method provides a object with a reference to the created or joined object.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{domxref("PresentationRequest.start()")}}</dt>
 <dd>Returns a {{JSxRef("Promise")}} that resolves with a {{DOMxRef("PresentationConnection")}} after the user agent prompts the user to select a display and grant permission to use that display.</dd>
 <dt>{{domxref("PresentationRequest.reconnect()")}}</dt>
 <dd>When the <code><dfn>reconnect</dfn>(presentationId)</code> method is called on a <code>PresentationRequest</code> <var>presentationRequest</var>, the <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-user-agents">user agent</a> <em>MUST</em> run the following steps to <dfn>reconnect to a presentation</dfn>.</dd>
 <dt>{{domxref("PresentationRequest.getAvailability()")}}</dt>
 <dd>When the <code><dfn>getAvailability</dfn>()</code> method is called, the user agent <em>MUST</em> run the steps as the link.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Presentation','#interface-presentationrequest','PresentationRequest interface')}}</td>
   <td>{{Spec2('Presentation')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<p>{{Compat("api.PresentationRequest")}}</p>
